tigase.stats

## Class JavaJMXProxy

- java.lang.Object
- - tigase.stats.JavaJMXProxy

- All Implemented Interfaces:
    EventListener, NotificationListener, StatisticsProviderMBean

      public class JavaJMXProxy
      extends Object
      implements StatisticsProviderMBean, NotificationListener

  Created: Aug 24, 2009 12:35:28 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaJMXProxy(String id, String hostname, int port, String userName, String password, long delay, long interval, boolean loadHistory)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJMXProxyListener(JMXProxyListener listener)` Method description
    `void` | `connect()` Method description
    `Map<String,String>` | `getAllStats(int level)` Method description
    `int` | `getCLIOQueueSize()` Method description
    `float[]` | `getCLPacketsPerSecHistory()` Method description
    `int` | `getCLQueueSize()` Method description
    `int` | `getClusterCacheSize()` Method description
    `float` | `getClusterCompressionRatio()` Method description
    `long` | `getClusterNetworkBytes()` Method description
    `float` | `getClusterNetworkBytesPerSecond()` Method description
    `long` | `getClusterPackets()` Method description
    `float` | `getClusterPacketsPerSec()` Method description
    `List<String>` | `getComponentsNames()` Method description
    `Map<String,String>` | `getComponentStats(String compName, int level)` Method description
    `int` | `getConnectionsNumber()` Method description
    `int[]` | `getConnectionsNumberHistory()` Method description
    `int` | `getCPUsNumber()` Method description
    `float` | `getCPUUsage()` Method description
    `float[]` | `getCPUUsageHistory()` Method description
    `Map<String,Object>` | `getCurStats(String[] statsKeys)` Method description
    `long` | `getDirectMemUsed()` Method description
    `long[]` | `getDirectMemUsedHistory()` Method description
    `float` | `getHeapMemUsage()` Method description
    `float[]` | `getHeapUsageHistory()` Method description
    `String` | `getId()` Method description
    `long` | `getIQAuthNumber()` Method description
    `long` | `getIQOtherNumber()` Method description
    `float` | `getIQOtherNumberPerSec()` Method description
    `long` | `getLastCacheUpdate()` Method description
    `long` | `getMessagesNumber()` Method description
    `float` | `getMessagesNumberPerSec()` Method description
    `String` | `getName()` Method description
    `float` | `getNonHeapMemUsage()` Method description
    `long` | `getPresencesNumber()` Method description
    `float` | `getPresencesNumberPerSec()` Method description
    `long` | `getProcesCPUTime()` Method description
    `long` | `getQueueOverflow()` Method description
    `int` | `getQueueSize()` Method description
    `int` | `getServerConnections()` Method description
    `int[]` | `getServerConnectionsHistory()` Method description
    `long` | `getSMPacketsNumber()` Method description
    `float` | `getSMPacketsNumberPerSec()` Method description
    `float[]` | `getSMPacketsPerSecHistory()` Method description
    `int` | `getSMQueueSize()` Method description
    `Map<String,LinkedList<Object>>` | `getStatsHistory(String[] statsKeys)` Method description
    `String` | `getSystemDetails()` Method description
    `long` | `getUptime()` Method description
    `void` | `handleNotification(Notification notification, Object handback)` Method description
    `boolean` | `isConnected()` Method description
    `boolean` | `isInitialized()` Method description
    `void` | `start()` Method description
    `void` | `update()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaJMXProxy

          public JavaJMXProxy(String id,
                      String hostname,
                      int port,
                      String userName,
                      String password,
                      long delay,
                      long interval,
                      boolean loadHistory)

      Constructs ...
      Parameters:
        `id` -
        `hostname` -
        `port` -
        `userName` -
        `password` -
        `delay` -
        `interval` -
        `loadHistory` -

  - ### Method Detail

    - #### addJMXProxyListener

          public void addJMXProxyListener(JMXProxyListener listener)

      Method description
      Parameters:
        `listener` -

    - #### connect

          public void connect()
                       throws Exception

      Method description
      Throws:
        `Exception`

    - #### handleNotification

          public void handleNotification(Notification notification,
                                Object handback)

      Method description
      Specified by:
        `handleNotification` in interface `NotificationListener`
      Parameters:
        `notification` -
        `handback` -

    - #### start

          public void start()

      Method description

    - #### update

          public void update()

      Method description

    - #### getAllStats

          public Map<String,String> getAllStats(int level)

      Method description
      Specified by:
        `getAllStats` in interface `StatisticsProviderMBean`
      Parameters:
        `level` -
      Returns:
        a value of `Map`

    - #### getCLIOQueueSize

          public int getCLIOQueueSize()

      Method description
      Specified by:
        `getCLIOQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getCLPacketsPerSecHistory

          public float[] getCLPacketsPerSecHistory()

      Method description
      Specified by:
        `getCLPacketsPerSecHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getCLQueueSize

          public int getCLQueueSize()

      Method description
      Specified by:
        `getCLQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getClusterCacheSize

          public int getClusterCacheSize()

      Method description
      Specified by:
        `getClusterCacheSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getClusterCompressionRatio

          public float getClusterCompressionRatio()

      Method description
      Specified by:
        `getClusterCompressionRatio` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getClusterNetworkBytes

          public long getClusterNetworkBytes()

      Method description
      Specified by:
        `getClusterNetworkBytes` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getClusterNetworkBytesPerSecond

          public float getClusterNetworkBytesPerSecond()

      Method description
      Specified by:
        `getClusterNetworkBytesPerSecond` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getClusterPackets

          public long getClusterPackets()

      Method description
      Specified by:
        `getClusterPackets` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getClusterPacketsPerSec

          public float getClusterPacketsPerSec()

      Method description
      Specified by:
        `getClusterPacketsPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getComponentsNames

          public List<String> getComponentsNames()

      Method description
      Specified by:
        `getComponentsNames` in interface `StatisticsProviderMBean`
      Returns:
        a value of `List`

    - #### getComponentStats

          public Map<String,String> getComponentStats(String compName,
                                             int level)

      Method description
      Specified by:
        `getComponentStats` in interface `StatisticsProviderMBean`
      Parameters:
        `compName` -
        `level` -
      Returns:
        a value of `Map`

    - #### getConnectionsNumber

          public int getConnectionsNumber()

      Method description
      Specified by:
        `getConnectionsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getConnectionsNumberHistory

          public int[] getConnectionsNumberHistory()

      Method description
      Specified by:
        `getConnectionsNumberHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int[]`

    - #### getCPUsNumber

          public int getCPUsNumber()

      Method description
      Specified by:
        `getCPUsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getCPUUsage

          public float getCPUUsage()

      Method description
      Specified by:
        `getCPUUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getCPUUsageHistory

          public float[] getCPUUsageHistory()

      Method description
      Specified by:
        `getCPUUsageHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getCurStats

          public Map<String,Object> getCurStats(String[] statsKeys)

      Method description
      Specified by:
        `getCurStats` in interface `StatisticsProviderMBean`
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map`

    - #### getDirectMemUsed

          public long getDirectMemUsed()

      Method description
      Specified by:
        `getDirectMemUsed` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getDirectMemUsedHistory

          public long[] getDirectMemUsedHistory()

      Method description
      Specified by:
        `getDirectMemUsedHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long[]`

    - #### getHeapMemUsage

          public float getHeapMemUsage()

      Method description
      Specified by:
        `getHeapMemUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getHeapUsageHistory

          public float[] getHeapUsageHistory()

      Method description
      Specified by:
        `getHeapUsageHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getId

          public String getId()

      Method description
      Returns:
        a value of `String`

    - #### getIQAuthNumber

          public long getIQAuthNumber()

      Method description
      Specified by:
        `getIQAuthNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getIQOtherNumber

          public long getIQOtherNumber()

      Method description
      Specified by:
        `getIQOtherNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getIQOtherNumberPerSec

          public float getIQOtherNumberPerSec()

      Method description
      Specified by:
        `getIQOtherNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getLastCacheUpdate

          public long getLastCacheUpdate()

      Method description
      Returns:
        a value of `long`

    - #### getMessagesNumber

          public long getMessagesNumber()

      Method description
      Specified by:
        `getMessagesNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getMessagesNumberPerSec

          public float getMessagesNumberPerSec()

      Method description
      Specified by:
        `getMessagesNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getName

          public String getName()

      Method description
      Specified by:
        `getName` in interface `StatisticsProviderMBean`
      Returns:
        a value of `String`

    - #### getNonHeapMemUsage

          public float getNonHeapMemUsage()

      Method description
      Specified by:
        `getNonHeapMemUsage` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getPresencesNumber

          public long getPresencesNumber()

      Method description
      Specified by:
        `getPresencesNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getPresencesNumberPerSec

          public float getPresencesNumberPerSec()

      Method description
      Specified by:
        `getPresencesNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getProcesCPUTime

          public long getProcesCPUTime()

      Method description
      Specified by:
        `getProcesCPUTime` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getQueueOverflow

          public long getQueueOverflow()

      Method description
      Specified by:
        `getQueueOverflow` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getQueueSize

          public int getQueueSize()

      Method description
      Specified by:
        `getQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getServerConnections

          public int getServerConnections()

      Method description
      Specified by:
        `getServerConnections` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getServerConnectionsHistory

          public int[] getServerConnectionsHistory()

      Method description
      Specified by:
        `getServerConnectionsHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int[]`

    - #### getSMPacketsNumber

          public long getSMPacketsNumber()

      Method description
      Specified by:
        `getSMPacketsNumber` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### getSMPacketsNumberPerSec

          public float getSMPacketsNumberPerSec()

      Method description
      Specified by:
        `getSMPacketsNumberPerSec` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float`

    - #### getSMPacketsPerSecHistory

          public float[] getSMPacketsPerSecHistory()

      Method description
      Specified by:
        `getSMPacketsPerSecHistory` in interface `StatisticsProviderMBean`
      Returns:
        a value of `float[]`

    - #### getSMQueueSize

          public int getSMQueueSize()

      Method description
      Specified by:
        `getSMQueueSize` in interface `StatisticsProviderMBean`
      Returns:
        a value of `int`

    - #### getStatsHistory

          public Map<String,LinkedList<Object>> getStatsHistory(String[] statsKeys)

      Method description
      Specified by:
        `getStatsHistory` in interface `StatisticsProviderMBean`
      Parameters:
        `statsKeys` - is a `String[]`
      Returns:
        a value of `Map>`

    - #### getSystemDetails

          public String getSystemDetails()

      Method description
      Specified by:
        `getSystemDetails` in interface `StatisticsProviderMBean`
      Returns:
        a value of `String`

    - #### getUptime

          public long getUptime()

      Method description
      Specified by:
        `getUptime` in interface `StatisticsProviderMBean`
      Returns:
        a value of `long`

    - #### isConnected

          public boolean isConnected()

      Method description
      Returns:
        a value of `boolean`

    - #### isInitialized

          public boolean isInitialized()

      Method description
      Returns:
        a value of `boolean`

Copyright © 2014 "Tigase, Inc.". All rights reserved.